org.apache.hadoop.conf

## Class Configuration.DeprecationDelta

- java.lang.Object
- - org.apache.hadoop.conf.Configuration.DeprecationDelta

- Enclosing class:
    Configuration

      public static class Configuration.DeprecationDelta
      extends Object

  A pending addition to the global set of deprecated keys.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeprecationDelta(String key, String newKey)`
    `DeprecationDelta(String key, String newKey, String customMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCustomMessage()`
    `String` | `getKey()`
    `String[]` | `getNewKeys()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeprecationDelta

          public DeprecationDelta(String key,
                                  String newKey,
                                  String customMessage)

    - #### DeprecationDelta

          public DeprecationDelta(String key,
                                  String newKey)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### getNewKeys

          public String[] getNewKeys()

    - #### getCustomMessage

          public String getCustomMessage()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.